oldipairs = ipairs
function ipairs(t, start)
	local maxi = 0

	for k, v in pairs(t) do
		if k > maxi then maxi = k end
	end

	local func = function(t, i)
		if i < maxi then
			repeat
				i = i + 1
			until t[i]

			return i, t[i]
		end

		return nil
	end

	start = start or 0

	return func, t, start
end

t = {[1] = "A", [2] = "B", [26] = "Z"}
for i, v in ipairs(t) do
	print(i, v)
end
